Part Point/it: Difference between revisions

From FreeCAD Documentation
(Created page with "Un oggetto Part Punto deriva da un oggetto Part Feature e ne eredita tutte le proprietà. Ha inoltre le seguenti proprietà aggiuntive:")
(Created page with "=== Dati ===")
Line 35: Line 35:
Un oggetto Part Punto deriva da un oggetto [[Part_Feature|Part Feature]] e ne eredita tutte le proprietà. Ha inoltre le seguenti proprietà aggiuntive:
Un oggetto Part Punto deriva da un oggetto [[Part_Feature|Part Feature]] e ne eredita tutte le proprietà. Ha inoltre le seguenti proprietà aggiuntive:


<span id="Data"></span>
=== Data ===
=== Dati ===


{{TitleProperty|Attachment}}
{{TitleProperty|Attachment}}

Revision as of 19:45, 6 January 2024

Part Punto

Posizione nel menu
Parte → Crea primitive → Punto
Ambiente
Part, OpenSCAD
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Part Primitive

Descrizione

Un Part Punto è un punto parametrico che può essere creato con il comando Part Primitive. Le sue coordinate sono relative al sistema di coordinate definito dalla sua proprietà DatiPlacement.

Utilizzo

Vedere Part Primitive.

Proprietà

Vedere anche: Editor delle proprietà.

Un oggetto Part Punto deriva da un oggetto Part Feature e ne eredita tutte le proprietà. Ha inoltre le seguenti proprietà aggiuntive:

Dati

Attachment

The object has the same attachment properties as a Part Part2DObject.

Base

  • DatiX (Distance): The X coordinate of the point. The default is 0mm.
  • DatiY (Distance): The Y coordinate of the point. The default is 0mm.
  • DatiZ (Distance): The Z coordinate of the point. The default is 0mm.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Point can be created with the addObject() method of the document:

point = FreeCAD.ActiveDocument.addObject("Part::Vertex", "myPoint")
  • Where "myPoint" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

point = doc.addObject("Part::Vertex", "myPoint")
point.X = 1
point.Y = 2
point.Z = 3

doc.recompute()